kcapi_aead_stream_op
Prev | Synchronous AEAD Cipher API - Stream | Next

## Name

kcapi_aead_stream_op — obtain processed data (stream)

## Synopsis

`ssize_t kcapi_aead_stream_op (` | struct kcapi_handle * handle,
| struct iovec * iov,
| size_t iovlen`)`;

## Arguments

`handle`

  [in] cipher handle

`iov`

  [out] scatter/gather list pointing to buffers to be filled with the resulting data from a cipher operation.

`iovlen`

  [in] number of outiov scatter/gather list elements.

## Description

This function may cause the caller to sleep if the kernel buffer holding the data is empty. The process will be woken up once more data is sent by calling `kcapi_cipher_stream_update`.

Note, when supplying buffers that are not multiple of block size, the buffers will only be filled up to the maximum number of full block sizes that fit into the buffer.

`return` number of bytes obtained from the kernel upon success; a negative errno-style error code if an error occurred

Prev | Up | Next
kcapi_aead_stream_update_last | Home | Message Digest Cipher API - Generic